/*@tailwind base;*/
.visible {
    visibility: visible
}
.static {
    position: static
}
.fixed {
    position: fixed
}
.absolute {
    position: absolute
}
.relative {
    position: relative
}
.sticky {
    position: sticky
}
.isolate {
    isolation: isolate
}
.z-0 {
    z-index: 0
}
.z-10 {
    z-index: 10
}
.mx-auto {
    margin-left: auto;
    margin-right: auto
}
.-ml-px {
    margin-left: -1px
}
.-mt-10 {
    margin-top: -2.5rem
}
.mb-10 {
    margin-bottom: 2.5rem
}
.mb-20 {
    margin-bottom: 5rem
}
.mb-4 {
    margin-bottom: 1rem
}
.mb-6 {
    margin-bottom: 1.5rem
}
.mb-8 {
    margin-bottom: 2rem
}
.ml-3 {
    margin-left: 0.75rem
}
.mr-1 {
    margin-right: 0.25rem
}
.mr-1\.5 {
    margin-right: 0.375rem
}
.mt-0 {
    margin-top: 0px
}
.mt-0\.5 {
    margin-top: 0.125rem
}
.mt-2 {
    margin-top: 0.5rem
}
.mt-40 {
    margin-top: 10rem
}
.mt-5 {
    margin-top: 1.25rem
}
.line-clamp-3 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3
}
.line-clamp-4 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4
}
.block {
    display: block
}
.inline {
    display: inline
}
.flex {
    display: flex
}
.inline-flex {
    display: inline-flex
}
.grid {
    display: grid
}
.hidden {
    display: none
}
.h-0 {
    height: 0px
}
.h-16 {
    height: 4rem
}
.h-4 {
    height: 1rem
}
.h-5 {
    height: 1.25rem
}
.h-full {
    height: 100%
}
.w-4 {
    width: 1rem
}
.w-5 {
    width: 1.25rem
}
.w-auto {
    width: auto
}
.w-full {
    width: 100%
}
.max-w-3xl {
    max-width: 48rem
}
.max-w-5xl {
    max-width: 64rem
}
.max-w-lg {
    max-width: 32rem
}
.flex-1 {
    flex: 1 1 0%
}
.transform {
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))
}
.cursor-default {
    cursor: default
}
.cursor-pointer {
    cursor: pointer
}
.flex-col {
    flex-direction: column
}
.flex-wrap {
    flex-wrap: wrap
}
.items-center {
    align-items: center
}
.justify-between {
    justify-content: space-between
}
.space-x-0 > :not([hidden]) ~ :not([hidden]) {
    --tw-space-x-reverse: 0;
    margin-right: calc(0px * var(--tw-space-x-reverse));
    margin-left: calc(0px * calc(1 - var(--tw-space-x-reverse)))
}
.space-y-4 > :not([hidden]) ~ :not([hidden]) {
    --tw-space-y-reverse: 0;
    margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));
    margin-bottom: calc(1rem * var(--tw-space-y-reverse))
}
.rounded {
    border-radius: 0.25rem
}
.rounded-md {
    border-radius: 0.375rem
}
.rounded-none {
    border-radius: 0px
}
.rounded-l-md {
    border-top-left-radius: 0.375rem;
    border-bottom-left-radius: 0.375rem
}
.rounded-r-md {
    border-top-right-radius: 0.375rem;
    border-bottom-right-radius: 0.375rem
}
.border {
    border-width: 1px
}
.border-2 {
    border-width: 2px
}
.border-gray-300 {
    --tw-border-opacity: 1;
    border-color: rgb(209 213 219 / var(--tw-border-opacity))
}
.border-transparent {
    border-color: transparent
}
.bg-transparent {
    background-color: transparent
}
.bg-white {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity))
}
.object-cover {
    -o-object-fit: cover;
       object-fit: cover
}
.px-2 {
    padding-left: 0.5rem;
    padding-right: 0.5rem
}
.px-3 {
    padding-left: 0.75rem;
    padding-right: 0.75rem
}
.px-4 {
    padding-left: 1rem;
    padding-right: 1rem
}
.px-5 {
    padding-left: 1.25rem;
    padding-right: 1.25rem
}
.py-2 {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem
}
.py-3 {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem
}
.pb-0 {
    padding-bottom: 0px
}
.pb-3 {
    padding-bottom: 0.75rem
}
.pb-8 {
    padding-bottom: 2rem
}
.pt-16 {
    padding-top: 4rem
}
.pt-4 {
    padding-top: 1rem
}
.\!pb-0 {
    padding-bottom: 0px !important
}
.text-left {
    text-align: left
}
.text-center {
    text-align: center
}
.text-right {
    text-align: right
}
.text-base {
    font-size: 1rem;
    line-height: 1.5rem
}
.text-sm {
    font-size: 0.875rem;
    line-height: 1.25rem
}
.text-xl {
    font-size: 1.25rem;
    line-height: 1.75rem
}
.font-light {
    font-weight: 300
}
.font-medium {
    font-weight: 500
}
.leading-5 {
    line-height: 1.25rem
}
.text-black {
    --tw-text-opacity: 1;
    color: rgb(0 0 0 / var(--tw-text-opacity))
}
.text-gray-500 {
    --tw-text-opacity: 1;
    color: rgb(107 114 128 / var(--tw-text-opacity))
}
.text-gray-700 {
    --tw-text-opacity: 1;
    color: rgb(55 65 81 / var(--tw-text-opacity))
}
.text-red-500 {
    --tw-text-opacity: 1;
    color: rgb(239 68 68 / var(--tw-text-opacity))
}
.text-teal-700 {
    --tw-text-opacity: 1;
    color: rgb(15 118 110 / var(--tw-text-opacity))
}
.underline {
    text-decoration-line: underline
}
.no-underline {
    text-decoration-line: none
}
.decoration-solid {
    text-decoration-style: solid
}
.placeholder-gray-400::-moz-placeholder {
    --tw-placeholder-opacity: 1;
    color: rgb(156 163 175 / var(--tw-placeholder-opacity))
}
.placeholder-gray-400::placeholder {
    --tw-placeholder-opacity: 1;
    color: rgb(156 163 175 / var(--tw-placeholder-opacity))
}
.opacity-75 {
    opacity: 0.75
}
.shadow-none {
    --tw-shadow: 0 0 #0000;
    --tw-shadow-colored: 0 0 #0000;
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}
.shadow-sm {
    --tw-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);
    --tw-shadow-colored: 0 1px 2px 0 var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow)
}
.ring-gray-300 {
    --tw-ring-opacity: 1;
    --tw-ring-color: rgb(209 213 219 / var(--tw-ring-opacity))
}
.filter {
    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)
}
.transition {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-backdrop-filter;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms
}
.duration-150 {
    transition-duration: 150ms
}
.duration-200 {
    transition-duration: 200ms
}
.duration-700 {
    transition-duration: 700ms
}
.ease-in-out {
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1)
}
.placeholder\:text-sm::-moz-placeholder {
    font-size: 0.875rem;
    line-height: 1.25rem
}
.placeholder\:text-sm::placeholder {
    font-size: 0.875rem;
    line-height: 1.25rem
}
.hover\:text-gray-400:hover {
    --tw-text-opacity: 1;
    color: rgb(156 163 175 / var(--tw-text-opacity))
}
.hover\:text-gray-500:hover {
    --tw-text-opacity: 1;
    color: rgb(107 114 128 / var(--tw-text-opacity))
}
.focus\:z-10:focus {
    z-index: 10
}
.focus\:border-blue-300:focus {
    --tw-border-opacity: 1;
    border-color: rgb(147 197 253 / var(--tw-border-opacity))
}
.focus\:outline-none:focus {
    outline: 2px solid transparent;
    outline-offset: 2px
}
.focus\:ring:focus {
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)
}
.active\:bg-gray-100:active {
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity))
}
.active\:text-gray-500:active {
    --tw-text-opacity: 1;
    color: rgb(107 114 128 / var(--tw-text-opacity))
}
.active\:text-gray-700:active {
    --tw-text-opacity: 1;
    color: rgb(55 65 81 / var(--tw-text-opacity))
}
.group:hover .group-hover\:opacity-100 {
    opacity: 1
}
@media (min-width: 640px) {
    .sm\:mx-auto {
        margin-left: auto;
        margin-right: auto
    }
    .sm\:mt-0 {
        margin-top: 0px
    }
    .sm\:flex {
        display: flex
    }
    .sm\:hidden {
        display: none
    }
    .sm\:flex-1 {
        flex: 1 1 0%
    }
    .sm\:items-start {
        align-items: flex-start
    }
    .sm\:items-center {
        align-items: center
    }
    .sm\:justify-between {
        justify-content: space-between
    }
    .sm\:space-x-8 > :not([hidden]) ~ :not([hidden]) {
        --tw-space-x-reverse: 0;
        margin-right: calc(2rem * var(--tw-space-x-reverse));
        margin-left: calc(2rem * calc(1 - var(--tw-space-x-reverse)))
    }
    .sm\:rounded-l-none {
        border-top-left-radius: 0px;
        border-bottom-left-radius: 0px
    }
    .sm\:rounded-r-none {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px
    }
    .sm\:px-10 {
        padding-left: 2.5rem;
        padding-right: 2.5rem
    }
    .sm\:px-8 {
        padding-left: 2rem;
        padding-right: 2rem
    }
    .sm\:pb-0 {
        padding-bottom: 0px
    }
    .sm\:pt-0 {
        padding-top: 0px
    }
    .sm\:text-left {
        text-align: left
    }
    .sm\:text-center {
        text-align: center
    }
    .sm\:text-2xl {
        font-size: 1.5rem;
        line-height: 2rem
    }
    .sm\:text-base {
        font-size: 1rem;
        line-height: 1.5rem
    }
}

